We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy.
Unfortunately, activation email could not send to your email. Please try again.

NuGet packages

Thread ID:

Created:

Updated:

Platform:

Replies:

122097 Feb 16,2016 03:50 AM Apr 6,2016 07:30 AM General Discussion 7
loading
Tags: General Discussion
Klaudiusz Bryja
Asked On February 16, 2016 03:50 AM

Hi,

Do you have those libraries:

Syncfusion.Chart.Base.dll
Syncfusion.Chart.Windows.dll
Syncfusion.Compression.Base.dll
Syncfusion.Diagram.Base.dll
Syncfusion.Diagram.Windows.dll
Syncfusion.Edit.Windows.dll
Syncfusion.Grid.Base.dll
Syncfusion.Grid.Windows.dll
Syncfusion.Grid.Windows.XmlSerializers.dll
Syncfusion.OCRProcessor.Base.dll
Syncfusion.Pdf.Base.dll
Syncfusion.PdfViewer.Windows.dll
Syncfusion.Shared.Base.dll
Syncfusion.Shared.Windows.dll
Syncfusion.Tools.Base.dll
Syncfusion.Tools.Windows.dll

available as NuGet packages? I searched but didn't found. I searched on this site:


but couldn't confirm that this is what I need.

Best regards,
Klaudiusz

Klaudiusz Bryja
Replied On February 16, 2016 03:51 AM

Hi,

I search for windows forms, .Net40.

Best regards,
Klaudiusz

Kanimozhi Pandian [Syncfusion]
Replied On February 17, 2016 07:47 AM

Hi Klaudiusz,

Thanks for using Syncfusion products.

Yes. The requested Syncfusion assemblies are available as NuGet packages in the following link.

http://nuget.syncfusion.com/package/windows-forms.
 
Please refer to the following link to know more about Syncfusion NuGet Packages installation and configuration.

http://help.syncfusion.com/extension/syncfusion-nuget-packages/nuget-install-and-configuration
 
Note :
Syncfusion.Grid.Windows.XmlSerializers.dll is not available as NuGet. We can use the Syncfusion.Grid.Windows.dll instead of Syncfusion.Grid.Windows.XmlSerializers.dll since same usage can be done by Syncfusion.Grid.Windows.dll. If you are more specific to use the assembly Syncfusion.Grid.Windows.XmlSerializers.dll, kindly let us know the scenario which demands that assembly. So that we can proceed further.

Thanks,
Kanimozhi K.P.

Klaudiusz Bryja
Replied On April 4, 2016 02:25 AM

Hi,

Thank you. It works. I get errors when restoring packages with the newest NuGet Package Maqnager in Visual Studio 2015 (v.3.4.1.807, on 3.3.0.167 it works ok). Do you know what can be wrong? I'll report this issue in NuGet but maybe you know something.

Best regards,
Klaudiusz

Klaudiusz Bryja
Replied On April 4, 2016 02:53 AM

Hi,


Best regards,
Klaudiusz

Kanimozhi Pandian [Syncfusion]
Replied On April 5, 2016 08:56 AM

Hi Klaudiusz,
As you mentioned in your previous update the Syncfusion NuGet packages works fine with previous versions of NuGet Package Manager and we could reproduce this issue with the latest version (V3.4.1.807). The issue is with latest version of NuGet package manager in Visual Studio 2015. Please refer to below link.

https://github.com/NuGet/Home/issues/2439
So, kindly downgrade the NuGet Package Manager to previous version (3.3.0.167) to resolve the issue for now.
Follow the below steps to downgrade NuGet package Manager.

1.      Navigate to Visual Studio->Tools->Extensions and Updates.

2.      Select NuGet Package Manager for Visual Studio 2015 and click Uninstall button. Refer to below image.

3.      Close the Visual Studio.

4.      Download the previous version (v3.3) of NuGet package manager form here. 
5.      Double click the downloaded .vsix file, now the NuGet package manager will be installed in your machine.

6.      Open Visual Studio and continue.
 
Thanks,
Kanimozhi K.P.




Klaudiusz Bryja
Replied On April 5, 2016 09:06 AM

Hi,

Thank you for information. 

Best regards,
Klaudiusz

Kanimozhi Pandian [Syncfusion]
Replied On April 6, 2016 07:30 AM

Hi Klaudiusz,

Please Get back to us if you have any other query.

Thanks,
Kanimozhi K.P.

CONFIRMATION

This post will be permanently deleted. Are you sure you want to continue?

Sorry, An error occured while processing your request. Please try again later.

You are using an outdated version of Internet Explorer that may not display all features of this and other websites. Upgrade to Internet Explorer 8 or newer for a better experience.

;